#ifndef SBK_KXMLGUIClientWrapper_H
#define SBK_KXMLGUIClientWrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <kxmlguiclient.h>

class KXMLGUIClientWrapper : public KXMLGUIClient
{
public:
    KXMLGUIClientWrapper(const KXMLGUIClientWrapper &) = delete;
    KXMLGUIClientWrapper& operator=(const KXMLGUIClientWrapper &) = delete;
    KXMLGUIClientWrapper(KXMLGUIClientWrapper &&) = delete;
    KXMLGUIClientWrapper& operator=(KXMLGUIClientWrapper &&) = delete;

    KXMLGUIClientWrapper();
    KXMLGUIClientWrapper(::KXMLGUIClient * parent);
    ::KActionCollection * actionCollection() const override;
    ::QString componentName() const override;
    ::QString localXMLFile() const override;
    void setComponentName(const ::QString & componentName, const ::QString & componentDisplayName) override;
    void setLocalXMLFile(const ::QString & file) override;
    void setXML(const ::QString & document, bool merge = false) override;
    void setXMLFile(const ::QString & file, bool merge = false, bool setXMLDoc = true) override;
    void stateChanged(const ::QString & newstate, ::KXMLGUIClient::ReverseStateChange reverse = KXMLGUIClient::ReverseStateChange::StateNoReverse) override;
    ::QString xmlFile() const override;
    ~KXMLGUIClientWrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[9] = {false, false, false, false, false, false, false, false, false};
};

#endif // SBK_KXMLGUIClientWrapper_H

